Get Member Connections
curl --request GET \
--url https://api.thefaithapp.com/v1/member-connections \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/member-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/member-connections"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"settings": {
"require_campus_approval": true,
"require_ministry_approval": true
},
"campuses": [
{
"id": 7,
"name": "Central Campus",
"location": "Kampala",
"connection": {
"id": 91,
"role": "attendee",
"status": "active",
"source": "member",
"directory_visible": true,
"approved_at": "2026-07-18T09:30:00.000000Z",
"joined_at": "2026-07-18T09:30:00.000000Z",
"ended_at": null,
"is_primary": true
}
}
],
"ministries": [
{
"id": 16,
"name": "Welcome Team",
"description": "Helps members and guests feel at home.",
"connection": {
"id": 103,
"role": "volunteer",
"status": "pending",
"source": "member",
"directory_visible": false,
"approved_at": null,
"joined_at": null,
"ended_at": null
}
}
],
"community_groups": [
{
"id": 42,
"name": "Young Adults Fellowship",
"type": "small_group",
"branch": {
"id": 7,
"name": "Central Campus"
},
"membership": {
"id": 84,
"role": "member",
"status": "active",
"source": "member",
"directory_visible": true,
"approved_at": "2026-07-18T09:30:00.000000Z",
"joined_at": "2026-07-18T09:30:00.000000Z",
"ended_at": null
}
}
],
"options": {
"campuses": [
{
"id": 7,
"name": "Central Campus",
"location": "Kampala"
}
],
"ministries": [
{
"id": 16,
"name": "Welcome Team"
}
],
"community_groups": [
{
"id": 42,
"name": "Young Adults Fellowship",
"description": "A weekly group for prayer, Bible study, and community.",
"type": "small_group",
"join_policy": "open",
"capacity": 30,
"meeting_day": "Friday",
"meeting_time": "18:30",
"location": "Central Campus, Room 4",
"is_active": true,
"branch": {
"id": 7,
"name": "Central Campus",
"location": "Kampala"
},
"active_member_count": 18,
"membership": {
"id": 84,
"role": "member",
"status": "active",
"source": "member",
"directory_visible": true,
"approved_at": "2026-07-18T09:30:00.000000Z",
"joined_at": "2026-07-18T09:30:00.000000Z",
"ended_at": null
}
}
]
}
}
}Member Connections
Get Member Connections
Returns the authenticated member’s active and pending campus, ministry, and community-group connections plus available connection options.
GET
/
v1
/
member-connections
Get Member Connections
curl --request GET \
--url https://api.thefaithapp.com/v1/member-connections \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/member-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/member-connections"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"settings": {
"require_campus_approval": true,
"require_ministry_approval": true
},
"campuses": [
{
"id": 7,
"name": "Central Campus",
"location": "Kampala",
"connection": {
"id": 91,
"role": "attendee",
"status": "active",
"source": "member",
"directory_visible": true,
"approved_at": "2026-07-18T09:30:00.000000Z",
"joined_at": "2026-07-18T09:30:00.000000Z",
"ended_at": null,
"is_primary": true
}
}
],
"ministries": [
{
"id": 16,
"name": "Welcome Team",
"description": "Helps members and guests feel at home.",
"connection": {
"id": 103,
"role": "volunteer",
"status": "pending",
"source": "member",
"directory_visible": false,
"approved_at": null,
"joined_at": null,
"ended_at": null
}
}
],
"community_groups": [
{
"id": 42,
"name": "Young Adults Fellowship",
"type": "small_group",
"branch": {
"id": 7,
"name": "Central Campus"
},
"membership": {
"id": 84,
"role": "member",
"status": "active",
"source": "member",
"directory_visible": true,
"approved_at": "2026-07-18T09:30:00.000000Z",
"joined_at": "2026-07-18T09:30:00.000000Z",
"ended_at": null
}
}
],
"options": {
"campuses": [
{
"id": 7,
"name": "Central Campus",
"location": "Kampala"
}
],
"ministries": [
{
"id": 16,
"name": "Welcome Team"
}
],
"community_groups": [
{
"id": 42,
"name": "Young Adults Fellowship",
"description": "A weekly group for prayer, Bible study, and community.",
"type": "small_group",
"join_policy": "open",
"capacity": 30,
"meeting_day": "Friday",
"meeting_time": "18:30",
"location": "Central Campus, Room 4",
"is_active": true,
"branch": {
"id": 7,
"name": "Central Campus",
"location": "Kampala"
},
"active_member_count": 18,
"membership": {
"id": 84,
"role": "member",
"status": "active",
"source": "member",
"directory_visible": true,
"approved_at": "2026-07-18T09:30:00.000000Z",
"joined_at": "2026-07-18T09:30:00.000000Z",
"ended_at": null
}
}
]
}
}
}Was this page helpful?
⌘I